cdac.medinfo.sdk.hl7282.utils

## Interface ISegmentMap

- All Known Implementing Classes:
    SegmentMap

      public interface ISegmentMap

  ISegmentMap needs to be implemented by class which provides Data Structure for a segment structure. Implementor class should provide definition to all methods which are defined to represent segment structure.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeItem(IAttributeItem objAttributeItem)` Adds AttributeItem to ISegmentMap at current available index.
    `void` | `addAttributeItem(IAttributeItem objAttributeItem, int index, EnumMapModifyMode enumModifyMode)` Adds AttributeItem to ISegmentMap at given index position according to the modification mode.
    `ISegmentMap` | `clone()` Retrieves a clone of ISegmentMap
    `IAttributeItem` | `getAttributeItem(int index)` Retrieves Attribute structure in terms of AttributeItem from specified sequence.
    `java.lang.String` | `getDataTypeName(int iItemID)` Retrieves the Data Type name of an Item specified by HL7 Standard for the specified Item.
    `java.lang.String` | `getFieldName(int iItemID)` Retrieves the Field name of an Item specified by HL7 Standard for the specified Item.
    `java.lang.String` | `getItemConformanceLength(int iItemID)` Retrieves the Conformance Length of an Item specified by HL7 Standard for the specified Item.
    `ISingleCollection<java.lang.Integer>` | `getItemIDList()` Retrieves the list of Item ID of all AttributeItems which are member of ISEgmentMap.
    `int` | `getItemMaximumLength(int iItemID)` Retrieves the Maximum Length of an Item specified by HL7 Standard for the specified Item.
    `int` | `getItemMinimumLength(int iItemID)` Retrieves the Minimum Length of an Item specified by HL7 Standard for the specified Item.
    `boolean` | `getLock()` Retrieves current status of lock for ISegmentMap
    `int` | `getOccurrence(int iItemID)` Retrieves Occurrence for attribute defined by HL7 standard in segment
    `int[]` | `getValueTable(int iItemID)` Retrieves the Table value specified by HL7 Standard for the specified Item ID.
    `boolean` | `isOptional(int iItemID)` Retrieves the status indicating whether the specified Item ID is optional or not.
    `boolean` | `isRepeatable(int iItemID)` Retrieves the status indicating whether the specified Item ID is repeatable or not.
    `void` | `setLock(boolean bLock)` Sets lock on ISegmentMap.
    `int` | `size()` Retrieves size of ISegmentMap

- - ### Method Detail

    - #### getAttributeItem

          IAttributeItem getAttributeItem(int index)

      Retrieves Attribute structure in terms of AttributeItem from specified sequence.
      Parameters:
        `index` - sequence value for attribute.
      Returns:
        IAttributeItem instance of AttributeItem

    - #### addAttributeItem

          void addAttributeItem(IAttributeItem objAttributeItem)

      Adds AttributeItem to ISegmentMap at current available index.
      Parameters:
        `objAttributeItem` - instance of Attribute Item

    - #### addAttributeItem

          void addAttributeItem(IAttributeItem objAttributeItem,
                              int index,
                              EnumMapModifyMode enumModifyMode)

      Adds AttributeItem to ISegmentMap at given index position according to the modification mode.
      Parameters:
        `objAttributeItem` - instance of Attribute Item
        `index` - sequence position
        `enumModifyMode` - enumerated value of modification mode

    - #### clone

          ISegmentMap clone()

      Retrieves a clone of ISegmentMap
      Returns:
        ISegmentMap - instance of ISegmentMap

    - #### setLock

          void setLock(boolean bLock)

      Sets lock on ISegmentMap. If lock is set then new AttributeItem can not be added in SegmentMap
      Parameters:
        `bLock` - value of lock

    - #### getLock

          boolean getLock()

      Retrieves current status of lock for ISegmentMap
      Returns:
        boolean - status of lock

    - #### size

          int size()

      Retrieves size of ISegmentMap
      Returns:
        int - total number of Attribute Items

    - #### getItemIDList

          ISingleCollection<java.lang.Integer> getItemIDList()

      Retrieves the list of Item ID of all AttributeItems which are member of ISEgmentMap.
      Returns:
        ISingleCollection - return collection of Item ID.

    - #### getValueTable

          int[] getValueTable(int iItemID)

      Retrieves the Table value specified by HL7 Standard for the specified Item ID.
      Parameters:
        `iItemID` - Integer value of Item ID.
      Returns:
        int[] - return array of Table value for specified Item ID.

    - #### getItemMinimumLength

          int getItemMinimumLength(int iItemID)

      Retrieves the Minimum Length of an Item specified by HL7 Standard for the specified Item.
      Parameters:
        `iItemID` - Integer value of Item ID.
      Returns:
        int - return Minimum Length value for specified Item ID.

    - #### getItemMaximumLength

          int getItemMaximumLength(int iItemID)

      Retrieves the Maximum Length of an Item specified by HL7 Standard for the specified Item.
      Parameters:
        `iItemID` - Integer value of Item ID.
      Returns:
        int - return Maximum Length value for specified Item ID.

    - #### getItemConformanceLength

          java.lang.String getItemConformanceLength(int iItemID)

      Retrieves the Conformance Length of an Item specified by HL7 Standard for the specified Item.
      Parameters:
        `iItemID` - Integer value of Item ID.
      Returns:
        String - return Conformance Length value for specified Item ID.

    - #### getDataTypeName

          java.lang.String getDataTypeName(int iItemID)

      Retrieves the Data Type name of an Item specified by HL7 Standard for the specified Item.
      Parameters:
        `iItemID` - Integer value of Item ID.
      Returns:
        String - return Data type name for specified Item ID.

    - #### isRepeatable

          boolean isRepeatable(int iItemID)

      Retrieves the status indicating whether the specified Item ID is repeatable or not.
      Parameters:
        `iItemID` - Integer value of Item ID.
      Returns:
        boolean - the status indicating whether the specified Item ID is repeatable or not.

    - #### getOccurrence

          int getOccurrence(int iItemID)

      Retrieves Occurrence for attribute defined by HL7 standard in segment
      Parameters:
        `iItemID` - Integer value of Item ID.
      Returns:
        int - Number of Occurence of the attribute

    - #### isOptional

          boolean isOptional(int iItemID)

      Retrieves the status indicating whether the specified Item ID is optional or not.
      Parameters:
        `iItemID` - Integer value of Item ID.
      Returns:
        boolean - the status indicating whether the specified Item ID is optional or not.

    - #### getFieldName

          java.lang.String getFieldName(int iItemID)

      Retrieves the Field name of an Item specified by HL7 Standard for the specified Item.
      Parameters:
        `iItemID` - Integer value of Item ID.
      Returns:
        String - return Field name for specified Item ID.